### Virtual Method

# Foundry Vcs query_file_status

#### Declaration [src]

    DexFuture*
    query_file_status (
      FoundryVcs* vcs,
      GFile* file
    )

#### Description [src]

Queries the state of `file` in the repository.

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryVcsFileStatus` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.